struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Brian Relph" <relp...@gmail.com>
Subject j4 and retrotranslator
Date Fri, 08 Feb 2008 23:13:21 GMT
Has anyone built a java 1.4 compatible struts2 application with maven2 using
the translated jars?  I installed the j4 struts2-core and xwork jars in my
repository.  But, I am still this error when installing my project using
maven:

...
INFO] war:war
[INFO] Packaging webapp
[INFO] Assembling webapp[healthe-user-claim-portlet] in
[C:\workspaces\hin-portal-test\healthe-user-claim-portlet\target\healthe-
user-claim-portlet-1.1.0-SNAPSHOT]
[INFO] Processing war project
[INFO] Webapp assembled in[266 msecs]
[INFO] Building war:
C:\workspaces\hin-portal-test\healthe-user-claim-portlet\target\healthe-
user-claim-portlet-1.1.0-SNAPSHOT.war
[INFO] source:jar
[INFO] Building jar:
C:\workspaces\hin-portal-test\healthe-user-claim-portlet\target\healthe-
user-claim-portlet-1.1.0-SNAPSHOT-sources.jar
[INFO] retrotranslator:translate-war
[INFO]
----------------------------------------------------------------------------
[ERROR] BUILD FAILURE
[INFO]
----------------------------------------------------------------------------
[INFO] java.lang.String incompatible with java.lang.Boolean
...

Here are the relevant parts of my pom.xml:

...
<!-- Struts 2 -->
<dependency>
  <groupId>org.apache.struts</groupId>
  <artifactId>struts2-core-j4</artifactId>
  <version>2.0.11</version>
</dependency>

<dependency>
  <groupId>com.opensymphony</groupId>
  <artifactId>xwork-j4</artifactId>
  <version>2.0.4</version>
</dependency>

<dependency>
  <groupId>org.apache.struts</groupId>
  <artifactId>struts2-spring-plugin</artifactId>
  <version>2.0.11</version>
  <exclusions>
    <exclusion>
      <groupId>javax.servlet</groupId>
      <artifactId>servlet-api</artifactId>
    </exclusion>
    <exclusion>
      <groupId>org.apache.struts</groupId>
      <artifactId>struts2-core</artifactId>
    </exclusion>
  </exclusions>
</dependency>
...
...
<plugin>
  <groupId>org.codehaus.mojo</groupId>
  <artifactId>retrotranslator-maven-plugin</artifactId>
  <executions>
    <execution>
      <goals>
        <goal>translate-war</goal>
      </goals>
      <configuration>
        <classifier>jdk1.4</classifier>
        <attach>true</attach>
      </configuration>
    </execution>
  </executions>
</plugin>
...

Any suggestions?
-- 
Brian

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message